#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	CBC
Summary:	Crypt::CBC - encrypt data with Cipher Block Chaining mode
Summary(pl.UTF-8):	Crypt::CBC - szyfrowanie danych w trybie Cipher Block Chaining
Name:		perl-Crypt-CBC
Version:	2.32
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b381b81cc89a36b1445b627916c666ce
Patch0:		%{name}-paths.patch
URL:		http://search.cpan.org/dist/Crypt-CBC/
BuildRequires:	perl-Digest-MD5 >= 2.00
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Crypt-Blowfish
BuildRequires:	perl-Crypt-Blowfish_PP
BuildRequires:	perl-Crypt-DES
BuildRequires:	perl-Crypt-CAST5
BuildRequires:	perl-Crypt-IDEA
BuildRequires:	perl-Crypt-Rijndael
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a Perl-only implementation of the cryptographic cipher
block chaining mode (CBC). In combination with a block cipher such as
DES or IDEA, you can encrypt and decrypt messages of arbitrarily long
length. The encrypted messages are compatible with the encryption
format used by SSLeay.

%description -l pl.UTF-8
Ten moduł jest czysto perlową implementacją szyfrowania w trybie CBC
(Cipher Block Chaining). W połączeniu z szyfrem blokowym, takim jak
DES lub IDEA, pozwala szyfrować i deszyfrować wiadomości o dowolnej
długości. Zaszyfrowane wiadomości są kompatybilne z formatem używanym
przez SSLeay.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Crypt/CBC.pm
%{_mandir}/man3/Crypt::CBC.3pm*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*
%changelog
* Sat Jun 22 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-CBC.git;a=log;h=master

* Fri Jun 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 26f498c
- updated to 2.32

* Sun Jun 03 2012 Jakub Bogusz <qboosh@pld-linux.org> dcbe4e6
- verbose man files

* Sun Dec 14 2008 Maciej Pijanka <agaran@pld-linux.org> 5d42757
- up to 2.30

* Wed Dec 26 2007 zbyniu <zbyniu@pld-linux.org> cd52901
- up to 2.24

* Sun May 27 2007 Maciej Pijanka <agaran@pld-linux.org> a4f6923
- up to 2.22, rel 1, builds here

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d453c01
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> de8c010
- converted to UTF-8

* Sat Aug 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 62387f8
- updated to 2.19

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 27ab208
- 2.18, generic URL

* Fri Mar 17 2006 Elan Ruusamäe <glen@pld-linux.org> f69507d
- up to 2.17, fixes CVE-2006-0898

* Wed Jun 01 2005 Jakub Bogusz <qboosh@pld-linux.org> d9b01c9
- updated paths patch

* Wed Jun 01 2005 Jakub Bogusz <qboosh@pld-linux.org> 2317c50
- updated for 2.14

* Sun May 29 2005 petec <petec@pld-linux.org> 61e9464
- up to 2.14
- paths patch unneeded

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 6219e08
- formatting

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> 008a293
- updated to 2.12

* Sat Jun 05 2004 radek <radek@pld-linux.org> 31980b8
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri Jun 04 2004 Adam Gołębiowski <adamg@pld-linux.org> 5e00a84
- updated to 2.11

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> 46a8898
- updated to 2.10

* Thu May 27 2004 Adam Gołębiowski <adamg@pld-linux.org> cc0491c
- updated to 2.09

* Fri May 07 2004 ankry <ankry@pld-linux.org> 1c7bf40
- rel. 5

